

from Ft.Ods import Database
from Ft.Ods.StorageManager.Adapters import Constants

import types

class CollectionOfValues:

    #4ODS interfaces
    def _4ods_prepareValue(self,value):
        return value

    def _4ods_unprepareValue(self,value):
        #Do a type check
        Constants.g_typeCheck[self._subType](value,None)
        return value

    def _4ods_prepareChange(self,change):
        return change
